baresip (1.1.0-3build1) resolute; urgency=medium

  * Rebuild against latest libvpx

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 07:18:43 -0500

baresip (1.1.0-3) unstable; urgency=medium

  * remove directfb support (Closes: #1083044)

 -- Victor Seva <vseva@debian.org>  Wed, 18 Dec 2024 19:20:38 +0100

baresip (1.1.0-2) unstable; urgency=medium

  * fix ffmpeg 7 build (Closes: #1072401)
  * add myself to Uploaders
  * pkg-config => pkgconf

 -- Victor Seva <vseva@debian.org>  Thu, 07 Nov 2024 19:56:49 +0100

baresip (1.1.0-1) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Sun, 05 May 2024 19:20:53 +0000

baresip (1.1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload
  * Remove OMX support (see #1065623)
  * Fix stack smashing (Closes: #961434)

 -- Bastian Germann <bage@debian.org>  Wed, 10 Apr 2024 20:52:08 +0000

baresip (1.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.1.0 (Closes: #967266)
  * Clean selftest and baresipbus (Closes: #1043966)

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 16:59:36 +0000

baresip (1.0.0-4) unstable; urgency=medium

  * update Homepage;
    closes: bug#974748, thanks to Davide Prina
  * declare compliance with Debian Policy 4.5.1
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * drop README.source (dgit unused for some time)
  * add patch cherry-picked upstream
    to fix bind network to localhost in a test
  * use debhelper compatibility level 13 (not 12)
  * tighten to not tolerate testsuite failure

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Dec 2020 16:27:17 +0100

baresip (1.0.0-3) unstable; urgency=medium

  * add patch 2002 to make testsuite more verbose
  * improve source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2020 13:29:53 +0100

baresip (1.0.0-2) unstable; urgency=medium

  * extend patch 1002 to support cross-building;
    closes: bug#944338, thanks to Helmut Grohne
  * unfuzz patch 2001
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 17:53:43 +0200

baresip (1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright:
    drop no longer included upstream files
    update coverage
  * unfuzz and extend patches
  * update long description:
    + fix stop mention Nat Traversal PCP
    + mention standard WebRTC
    + mention audio codecs aptX and EBU ACIP
    + mention audio driver PulseAudio
    + stop mention Nat Traversal NATBD
    + stop mention DNS discovery Avahi
  * stop custom-handle core modules codec2 echo sndio
  * declare compliance with Debian Policy 4.4.0
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * simplify source script copyright-check
  * build-depend on libopenaptx-dev libmp3lame-dev
  * build-depend explicitly
    on libavfilter-dev libavutil-dev libswresample-dev
  * tighten build-dependency on libre-dev
  * stop build-depend on libavahi-client-dev
  * stop recommend avahi-daemon
  * update upstream source URLs
  * extend lintian overrides to cover GPL-2
  * build with hardening=+all
  * tolerate testsuite failures
    (see <https://github.com/baresip/baresip/issues/1090>)
  * adapt install for renamed/dropped modules
  * fail if missing to install some files
  * enable module avfilter
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 13:47:25 +0200

baresip (0.6.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Feb 2019 13:30:38 +0100

baresip (0.6.1~20190207-1) unstable; urgency=medium

  [ upstream ]
  * snapshot...

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage of packaging.
  * Simplify rules.
    Stop build-depend on cdbs dh-buildinfo.
  * Update and unfuzz patches.
  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.
  * Declare compliance with Debian Policy 4.3.0.
  * Generate manpage.
    Build-depend on help2man.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 21:12:28 +0100

baresip (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten build-dependency on libre-dev librem-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Dec 2018 13:18:50 +0100

baresip (0.5.11-2) unstable; urgency=medium

  * Fix extend patch 1002 to cover librem libspeexdsp libopencore-amrnb.
    Closes: Bug#912107. Thanks to Adrian Bunk.
  * Unfuzz patch 2001.
  * Fix build-depend on libvo-amrwbenc-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2018 19:56:17 +0100

baresip (0.5.11-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Add patch 1002 to avoid hardcoded locations of system headers.
    Closes: Bug#910127. Thanks to Helmut Grohne.
    Reorder and Unfuzz patches.
  * Update package relations: Tighten build-dependency on librem-dev.
  * Enable new RTCP stats module.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Oct 2018 09:11:28 +0200

baresip (0.5.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Stop explicitly enable b2bua module: Auto-detected now.
  * Update package relations:
    + Stop build-depend on libspeex-dev: speex module dropped upstream.
  * Update long descriptions:
    + Stop advertise support for Speex codec.
    + Fix advertise support for JSON-over-TCP control interface
      (included since 0.5.9-1).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Aug 2018 13:40:40 +0200

baresip (0.5.9-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: bug#889522, Thanks to Adrian Bunk.
    Closes: bug#888344, Thanks to James Cowgill.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.4.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add Files section lacking licensing.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Remove Ramakrishnan Muthhukrishnan as uploader: Thanks for your
    interest in the past, Ram.
    Closes: Bug#859278. Thanks to Mattia Rizzolo and the MIA team.

  [ Vasudev Kamath ]
  * Bump compat level to 10.
  * debhelper now uses versioned depend on >= 10~.
  * Add README.source indicating how to handle and upload package to
    archive.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jun 2018 20:28:56 +0530

baresip (0.5.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Enable new MQTT module:
    + Build-depend on libmosquitto-dev.
    + Mention MQTT in long descriptions.
  * Declare compliance with Debian Policy 4.1.3.
  * Add TODO items about library packages and GZRTP module.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jan 2018 17:52:59 +0100

baresip (0.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Track files copyright Jonathan Sieber.
  * Update watch file: Use substitution strings.
  * Enable new Avahi module:
    + Build-depend on libavahi-client-dev.
    + Have baresip-core recommend avahi-daemon.
    + Mention Avahi in long descriptions.
  * Update copyright-check script to extract png files.
  * Fix tighten build-dependency on librem-dev due to changed types.
    Closes: Bug#878341. Thanks to Adrian Bunk.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 01:31:09 +0200

baresip (0.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Advertise DEP3 format in patch headers.
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.1.0.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Rename patch from NMU 0.5.4-1.1 to fit documented patch naming
    micro-policy.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Sep 2017 10:28:44 +0200

baresip (0.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  
  [ Steve Langasek ]
  * Build with -D_GNU_SOURCE to fix FTBFS with GCC 7. (Closes: #872406)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Aug 2017 11:41:57 +0200

baresip (0.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Config:
      - Enable audio level RTP extension.
    + baresip-core:
      - Support Client-to-Mixer Audio Level Indication (RFC 6464).
      - Support RTP Header Extensions (RFC 5285).
      - module: dont load same static module twice.
      - ua: add ua_progress().
      - ua: check for Accept header in incoming OPTIONS request.
      - use a dummy RTP port for incoming OPTIONS.
      - vidcodec: make the API re-entrant.
      - vidfilt: make the API re-entrant.
      - vidisp: make the API re-entrant.
      - vidsrc: make the API re-entrant.
    + selftest:
      - add test for audio level indication in call.
      - add test for call progress.
    + Update all video modules with API-changes.
    + zrtp: check for RTP packet in send handler.
      - registered zrtp_log function with zrtp engine.
      - improved info message on how to verify remote peer.
      - improved setting and printing of zrtp cache file.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten to build-depend on recent librem-dev.
    + Tighten build-dependency on libre-dev.
    + Drop obsolete temporary breaks/replaces for older baresip.
    + Fix limit build-dependency on libdirectfb-dev to supported archs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 12:57:00 +0200

baresip (0.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Modernize Vcs-Browser field:
    + Use git (not cgit) in path.
  * Modernize cdbs:
    + Resolve archs in maintainer script (not during build).
    + Fix maintainer script copyright-check.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jun 2017 08:37:12 +0200

baresip (0.5.3-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck.
  * Enable module omx.
    + Build-depend on libomxil-bellagio-dev.
  * Tighten to build-depend on recent libre.
  * Stop explicitly enable jack module: Auto-detected now.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 18:09:17 +0200

baresip (0.5.1-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update package relations: Stop build-depend on libsrtp0-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Mar 2017 17:15:52 +0100

baresip (0.5.0-4) unstable; urgency=medium

  * Update package relations: Fix breaks/replaces for baresip-core.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 23:21:28 +0100

baresip (0.5.0-3) unstable; urgency=medium

  * Improve short and long descriptions.
  * Fix install examples.
  * Add binary package baresip-core, and make baresip a metapackage.
  * Fix install upstream changelog.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 18:38:33 +0100

baresip (0.5.0-2) unstable; urgency=medium

  * Fix skip directfb module where unsupported.
  * Update package relations: Fix have other packages depend on baresip.
  * Enable module sndio.
  * Fix list only supported features (and mention additional ones) in
    long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Jan 2017 22:05:39 +0100

baresip (0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Vasudev Kamath ]
  * Fix path to wav files: Set variable PREFIX during build.
  * Enable more modules:
    + gst_video1
    + gtk
    + rst
    Build-depend on libgtk2.0-dev libgstreamer-plugins-base1.0-dev
    libmpg123-dev libx11-dev libxext-dev.
  * Add separate binary packages for non-core modules:
    + baresip-ffmpeg
    + baresip-gstreamer
    + baresip-gtk
    + baresip-x11

  [ Jonas Smedegaard ]
  * Add myself as uploader (and sort the list while at it).
  * Refresh patches with shortening quilt options.
  * Add git-buildpackage config:
    + Use pristine-tar.
    + Sign tags.
    + Filter debian dir and any .git* file.
  * Fix clean built code.
  * Git-ignore quilt .pc dir (and avoid upstream git-ignore items).
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add myself as copyright holder.
  * Let CDBS resolve build flags.
  * Override lintian for possible-gpl-code-linked-with-openssl; False
    positive.
  * Drop obsolete upstream patches.
  * Install README and TODO files with all binary packages.
  * Install example files as such.
  * Fix stop suppress copyright check of debian dir: May contain code.
  * Enable more modules: amr b2bua codec2 directfb echo jack h265
    libsrtp mpa pcp portaudio pulse sdl2 snapshot sndfile sndio speex
    speex_aec speex_pp swscale.
  * Update package relations:
    + Build-depend on libcodec2-dev libjack-dev libopencore-amrnb
      libopencore-amrwb libpng-dev libpulse-dev libsdl2-dev
      libsndfile1-dev libsndio-dev libspeex-dev libspeexdsp-dev
      libsrtp0-dev libswscale-dev libtwolame-dev libx265-dev
      portaudio19-dev.
    + Build-depend on libdirectfb-dev on supported archs
      (queried online in maintainer mode).
    + Limit to build-depend on libevdev-dev only on linux archs.
    + Fix build-depend explicitly on libssl-dev.
      Closes: Bug#849694. Thanks to Logan Rosen.
    + Fix have other packages break+replace baresip.
      Closes: Bug#850663. Thanks to Axel Beckert.
    + Have baresip suggest other packages.
    + Have other packages enhance baresip.
    + Mention other packages in long description of baresip.
  * Fix dollar-escape skeleton variables.
  * Update watch file:
    + Add usage comment.
    + Use github pattern from documentation.
    + Add trailing newline.
  * Simplify build:
    + Drop build flags equal to auto-resolved defaults.
    + Let CDBS handle build and install.
  * Enable testsuite.
    Thanks to Alfred Heggestad.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info:
    + Fix double-indent subsequent copyright holders.
    + Strip useless copyright pseudo-signs.
    + Sort copyright holders.
    + Extend coverage of Debian packaging.
    + Add license grant to rules.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Jan 2017 17:13:18 +0100

baresip (0.4.20-1) unstable; urgency=medium

  * Initial Release.
    Closes: bug#673881

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 22 Dec 2016 17:28:27 +0530
